<script>
import NavBar from "../components/nav-bar";
import SideBar from "../components/side-bar";

export default {
  components: { NavBar, SideBar },
  data() {
    return {
      isMenuCondensed: false
    };
  },
  created: () => {
    if(document.body.removeAttribute("data-layout", "vertical") && document.body.removeAttribute("data-topbar", "dark"))
    {
      document.body.removeAttribute("data-layout", "horizontal");
      document.body.removeAttribute("data-layout-size", "boxed");
    }
    
  },
  methods: {
    toggleMenu() {
      document.body.classList.toggle("sidebar-enable");

     if (window.screen.width >= 992) {
        // eslint-disable-next-line no-unused-vars
        document.body.classList.toggle("vertical-collpsed");
      } else {
        // eslint-disable-next-line no-unused-vars
        document.body.classList.remove("vertical-collpsed");
      }
      this.isMenuCondensed = !this.isMenuCondensed;
    },
    toggleRightSidebar() {
      document.body.classList.toggle("right-bar-enabled");
    },
    hideRightSidebar() {
      document.body.classList.remove("right-bar-enabled");
    }
  }
};
</script>

<template>
<div layout="vertical">
  <div id="layout-wrapper">
    <!-- <NavBar /> -->
    <SideBar :is-condensed="isMenuCondensed" />
    <!-- ============================================================== -->
    <!-- Start Page Content here -->
    <!-- ============================================================== -->

    <div class="main-content">
      <div class="page-content">
        <!-- :style="[!$auth.partner_login ? {'margin-top': '110px !important'} : {'margin-top': '#70px'}]" -->
        <!-- Start Content-->
        <div class="container-fluid">
          <slot />
        </div>
      </div>
      <Footer />
    </div>
  </div>
</div>
</template>
